Create a new invoice from an existing estimate
http
POST https://services.leadconnectorhq.com/invoices/estimate/{estimateId}/invoiceAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
estimateId | string | Yes | 5f9d6d8b1b2d2c001f2d9e4b | Estimate Id |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
altId | string | Yes | 6578278e879ad2646715ba9c | Account Id or Agency Id |
altType | string | Yes | Possible values: 'account' | |
markAsInvoiced | boolean | Yes | True | Mark Estimate as Invoiced |
version | string | No | v2 | Version of the update request Possible values: 'v1', 'v2' |
Responses
200 - Successfully Created
estimate(object, required): Estimate detailsinvoice(object, required): Invoice details
json
{}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X POST 'https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/invoice' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"markAsInvoiced": true,
"version": "v2"
}'const response = await fetch('https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/invoice', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "markAsInvoiced": true, "version": "v2"}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/invoice',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "markAsInvoiced": true, "version": "v2"},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/invoice');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'markAsInvoiced': true, 'version': 'v2'}),
]);
$data = json_decode(curl_exec($ch), true);